clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ShowMessageParams Struct Reference

The show message notification is sent from a server to a client to ask the client to display a particular message in the user interface. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::ShowMessageParams:
[legend]

## Public Attributes
MessageType | type = MessageType::Info
| The message type. More...
std::string | message
| The actual message. More...

## Detailed Description

The show message notification is sent from a server to a client to ask the client to display a particular message in the user interface.

Definition at line 516 of file Protocol.h.

## Member Data Documentation

## ◆ message

std::string clang::clangd::ShowMessageParams::message

The actual message.

Definition at line 520 of file Protocol.h.

## ◆ type

MessageType clang::clangd::ShowMessageParams::type = MessageType::Info

The message type.

Definition at line 518 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h